/* config.h.  Generated automatically by configure.  */
/* Copyright 1993-95 by Carl Harris, Jr.
 * All rights reserved
 *
 * Distribute freely, except: don't remove my name from the source or
 * documentation (don't take credit for my work), mark your changes (don't
 * get me blamed for your possible bugs), don't alter or remove this
 * notice.  May be sold if buildable source is provided to buyer.  No
 * warrantee of any kind, express or implied, is included with this
 * software; use at your own risk, responsibility for damages (if any) to
 * anyone resulting from the use of this software rests entirely with the
 * user.
 *
 * Send bug reports, bug fixes, enhancements, requests, flames, etc., and
 * I'll try to keep a version up to date.  I can be reached as follows:
 * Carl Harris <ceharris@mal.com>
 */


/***********************************************************************
  module:       config.h.in
  project:      popclient
  programmer:   Carl Harris, ceharris@mal.com
  description:  autoconfigure defines

  $Log: config.h.in,v $
  Revision 1.4  1995/08/10 00:32:22  ceharris
  Preparation for 3.0b3 beta release:
  -	added code for --kill/--keep, --limit, --protocol, --flush
  	options; --pop2 and --pop3 options now obsoleted by --protocol.
  - 	added support for APOP authentication, including --with-APOP
  	argument for configure.
  -	provisional and broken support for RPOP
  -	added buffering to SockGets and SockRead functions.
  -	fixed problem of command-line options not being correctly
  	carried into the merged options record.

  Revision 1.3  1995/08/09 01:32:45  ceharris
  Version 3.0 beta 2 release.
  Added
  -	.poprc functionality
  -	GNU long options
  -	multiple servers on the command line.
  Fixed
  -	Passwords showing up in ps output.

  Revision 1.2  1995/08/08 01:01:16  ceharris
  Added GNU-style long options processing.
  Fixed password in 'ps' output problem.
  Fixed various RCS tag blunders.
  Integrated .poprc parser, lexer, etc into Makefile processing.

 ***********************************************************************/

#include	<poproto.h>

/* umask to use daemon creates files */
#define	DEF_UMASK	022

/* location of the process ID file */
#define PID_FILE 	"/etc/popclient.pid"

/* default name for .poprc */
#define POPRC_NAME	".poprc"

/* default protocol to use -- see poproto.h for possibilities */
#define DEF_PROTOCOL	P_POP3

/* define this if you want popclient to default to leaving downloaded
   mail on the server instead of deleting it. */
/* #undef	KEEP_IS_DEFAULT */

/* set this to the default number of lines of message body to
   retrieve when --limit is specified */
#define DEFAULT_LIMIT_LINES	50

/* max password length at pop server */
#define	MAX_PASSWORD_LENGTH	64


/***** EVERYTHING BELOW SHOULD BE HANDLED 
       AUTOMATICALLY BY configure.
*/


/***** Mail Delivery Agent (MDA) definitions  *****/

/* fully-qualified pathname for the MDA (usually /bin/mail) */
#define  MDA_PATH	"/bin/mail"

/* passed as argv[0] to the MDA (usually just the basename of the mailer) */
#define  MDA_ALIAS	"mail"

/* MDA command args; $u passes user's login id (usually "-d $u") */
/* (may be undefined if the mailer doesn't require arguments (?!)) */
#define  MDA_ARGS	"-d $u"

/* MDA command arg count -- must be greater than or equal to the number 
   of space-delimited arguments defined in MDA_ARGS. */
#ifdef MDA_ARGS
#define MDA_ARGCOUNT	8
#endif
   
/* MDA input message terminator (usually not required) */
/* (may be undefined if the mailer doesn't require it) */
/* #define MDA_TERM  ".\n" */
/* Define if on AIX 3.
   System headers sometimes define this.
   We just want to avoid a redefinition error message.  */
#ifndef _ALL_SOURCE
/* #undef _ALL_SOURCE */
#endif

/* Define to empty if the keyword does not work.  */
/* #undef const */

/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
   This function is required for alloca.c support on those systems.  */
/* #undef CRAY_STACKSEG_END */

/* Define for DGUX with <sys/dg_sys_info.h>.  */
/* #undef DGUX */

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef gid_t */

/* Define if `union wait' is the type of the first arg to wait functions.  */
#define HAVE_UNION_WAIT 1

/* Define if you have vfork.h.  */
/* #undef HAVE_VFORK_H */

/* Define if on MINIX.  */
/* #undef _MINIX */

/* Define if your C compiler doesn't accept -c and -o together.  */
/* #undef NO_MINUS_C_MINUS_O */

/* Define if your C compiler allows void * as a function result */
#define HAVE_VOIDPOINTER 1

/* Define if your C compiler accepts function prototypes */
#define HAVE_PROTOTYPES 1

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef pid_t */

/* Define if the system does not provide POSIX.1 features except
   with this defined.  */
/* #undef _POSIX_1_SOURCE */

/* Define if you need to in order for stat and other things to work.  */
/* #undef _POSIX_SOURCE */

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS 1

/* Define on System V Release 4.  */
/* #undef SVR4 */

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef uid_t */

/* Define for Encore UMAX.  */
/* #undef UMAX */

/* Define for Encore UMAX 4.3 that has <inq_status/cpustats.h>
   instead of <sys/cpustats.h>.  */
/* #undef UMAX4_3 */

/* Define if you have dup2.  */
#define HAVE_DUP2 1

/* Define if you have flock.  */
/* #undef HAVE_FLOCK */

/* Define if you have lockf.  */
/* #undef HAVE_LOCKF */

/* Define if you have getdtablesize.  */
/* #undef HAVE_GETDTABLESIZE */

/* Define if you have strerror.  */
#define HAVE_STRERROR 1

/* Define if you have strdup. */
#define HAVE_STRDUP 1 

/* Define if you have bzero. */
#define HAVE_BZERO 1

/* Define if you have memset. */
/* #undef HAVE_MEMSET */

/* Define if you have wait3.  */
#define HAVE_WAIT3 1

/* Define if you have waitpid.  */
#define HAVE_WAITPID 1

/* Define if you have stty/gtty function pair */
/* #undef HAVE_STTY */

/* Define if you have tcsetattr/tcgetattr function pair */
#define HAVE_TCSETATTR 1

/* Define if you have setsid() */
#define HAVE_SETSID 1

/* Define if you have the <fcntl.h> header file.  */
/* #undef HAVE_FCNTL_H */

/* Define if you have the <memory.h> header file.  */
#define HAVE_MEMORY_H 1

/* Define if you have the <string.h> header file.  */
/* #undef HAVE_STRING_H */

/* Define if you have the <stdlib.h> header file. */
/* #undef HAVE_STDLIB_H */

/* Define if you have the <sys/param.h> header file.  */
/* #undef HAVE_SYS_PARAM_H */

/* Define if you have the <sys/wait.h> header file.  */
#define HAVE_SYS_WAIT_H 1

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define if you have the <termios.h> header file. */
#define HAVE_TERMIOS_H 1

/* Define if you have the <termio.h> header file. */
#define HAVE_TERMIO_H 1

/* Define if you have the <sgtty.h> header file. */
#define HAVE_SGTTY_H 1

/* Define if you have the dgc library (-ldgc).  */
/* #undef HAVE_DGC */

/* Define if you have the elf library (-lelf).  */
/* #undef HAVE_ELF */

/* Define if you have the getloadavg library (-lgetloadavg).  */
/* #undef HAVE_GETLOADAVG */

/* Define if you have the kvm library (-lkvm).  */
/* #undef HAVE_KVM */

/* Define if you have the seq library (-lseq).  */
/* #undef HAVE_SEQ */

/* Define if you have the sun library (-lsun).  */
/* #undef HAVE_SUN */

/* Define if you have the util library (-lutil).  */
/* #undef HAVE_UTIL */

/* Define if you want APOP support.  Must also add md5 sources
   and objects in Makefile if you do this manually. */
/* #undef HAVE_APOP_SUPPORT */
